function D=coefficients(type,P,Z)
% Cette fonction prend en parametre le liste des zeros et la liste des
% polynomes orthogonaux et renvoie les coefficient pour la methode de
% Legendre
    syms x;
    
    nbpt = size(P,1)-1;
    n = nbpt-1;
    D = zeros(1,nbpt);
   
    switch(type)
        case {0,'leg','legendre'}
            L = P;
            for i=1:nbpt
                D(i)=2/((n+1)*polyval(polyder(L(n+2,:)),Z(n+1,i))...
                    *polyval(L(n+1,:),Z(n+1,i)));
            end
        
        case {1,'tche','tchebychev'}
            for i=1:nbpt
                D(i)=pi/(n+1);
            end
    end
end